<%--
  Copyright 2016 Integration New Media Inc.
--%><%
%><%@page session="false" contentType="text/html; charset=utf-8"%><%
%><%@page import="com.adobe.granite.ui.components.Config,
                  com.adobe.granite.xss.XSSAPI,
                  com.day.cq.i18n.I18n,
                  com.day.cq.wcm.api.Page,
                  com.day.cq.commons.JSONItem,
                  java.util.Collection,
				  org.apache.jackrabbit.util.Text,
				  org.apache.sling.api.resource.*,
				  com.day.cq.dam.api.Asset,
				  com.fadel.aem.ARCProxy.ARCConfig,
				  java.util.*,
				  java.lang.*,
				  com.adobe.granite.ui.components.AttrBuilder,
                  com.adobe.granite.ui.components.Config,
                  com.adobe.granite.ui.components.Tag,
				  com.adobe.granite.ui.components.ComponentHelper,
				  com.adobe.granite.ui.components.ComponentHelper.Options,


                  com.day.cq.wcm.api.Template" %><%
%><%@taglib prefix="sling" uri="http://sling.apache.org/taglibs/sling/1.0"%><%
%><%@taglib prefix="cq" uri="http://www.day.com/taglibs/cq/1.0" %><%
%><%@taglib prefix="ui" uri="http://www.adobe.com/taglibs/granite/ui/1.0"%><%
%><cq:defineObjects />
<%@page session="false" contentType="text/html; charset=utf-8"%>
<%

	ComponentHelper cmp = new ComponentHelper(pageContext);

    I18n i18n = new I18n(slingRequest);
    Config cfg = new Config(resource);

	String contentPath = slingRequest.getRequestPathInfo().getSuffix();
    if (contentPath == null) {
        contentPath = "";
    }
    String adminUrl = request.getContextPath() + "/assets.html";

    if (!cmp.getRenderCondition(resource, false).check()) {
        return;
    }

    Tag tag = cmp.consumeTag();
    AttrBuilder attrs = tag.getAttrs();
    cmp.populateCommonAttrs(attrs);
    attrs.addClass("aem-assets-admin-actions-copyrightcheck");
    attrs.addClass("foundation-toggleable");
    attrs.add("variant", cfg.get("variant", String.class));
    attrs.add("closable", cfg.get("closable", true) ? "on" : null);
    attrs.add("backdrop", "static");


%>

<coral-dialog id="copyrightcheck" <%= attrs.build() %>>
 <coral-dialog-header><%= i18n.get("Rights Cloud™ by FADEL®") %></coral-dialog-header>
 <coral-dialog-content>

<cq:includeClientLib categories="apps.fadel.all" />


<cq:includeClientLib categories="dam.gui.components.admin.copyrightcheck" />

<div id="copyrightcheckForm" class="aem-assets-admin-actions-copyrightcheck" data-url="<%= adminUrl + Text.escapePath(contentPath) %>">
    <div class="coral-Modal-body">
        <cq:include script="partials/modal-body.jsp" />
    </div>
</div>

<cq:includeClientLib categories="dam.gui.components.admin.copyrightcheck.vendors" />

</coral-dialog-content>
    <coral-dialog-footer>
    </coral-dialog-footer>
</coral-dialog>