<%@page session="false" contentType="text/html; charset=utf-8"%>
<%@page import="com.day.cq.i18n.I18n,
                com.fadel.aem.ARCProxy.ARCConfig,
				com.adobe.granite.ui.components.Config,
                com.adobe.granite.xss.XSSAPI,
                com.day.cq.wcm.api.Page,
                com.day.cq.commons.JSONItem,
                java.util.Collection,
                org.apache.jackrabbit.util.Text,
                org.apache.sling.api.resource.*,
                com.day.cq.dam.api.Asset,
                java.util.*,
                java.lang.*,
                com.day.cq.wcm.api.Template" %>
<%
%><%@taglib prefix="sling" uri="http://sling.apache.org/taglibs/sling/1.0"%><%
%><%@taglib prefix="cq" uri="http://www.day.com/taglibs/cq/1.0" %><%
%><%@taglib prefix="ui" uri="http://www.adobe.com/taglibs/granite/ui/1.0"%><%
%><cq:defineObjects /><%
    I18n i18n = new I18n(slingRequest);
%>
<%
    String selectionType = "";
    String multipleSelection = "Multiple";
	String fadelUUIDProperty = "";
	Boolean useFilenameAsFadelProperty = false;
	String assetUUID = "";
	String assetName = "";
	List<String> uuids = new ArrayList<String>();
	List<String> fileNames = new ArrayList<String>();
	int i = 0;


    try {
        ARCConfig sType = sling.getService(ARCConfig.class);
        selectionType = sType.getSelectionType();
		fadelUUIDProperty = sType.getExternalID();
        useFilenameAsFadelProperty = sType.getFileNameExtID();

        if (selectionType == multipleSelection) {
            selectionType = "multiple";
        }
    } catch(Exception e) {
        log("FADEL Config error Could not get Selection Type: " + e.getMessage());
    }

	String[] pathsParameter = slingRequest.getParameterValues("path");	

	for (String s: pathsParameter) { 

		Resource res = resourceResolver.getResource(s);
		Asset selectedAsset = res.adaptTo(Asset.class);

        // asset name
        assetName = selectedAsset.getName();


        try {

            if (useFilenameAsFadelProperty == true)
            {
                String filename = selectedAsset.getName();
                String filenameWithoutExt = filename;

                if ( filename.lastIndexOf(".") > 0 )
                     filenameWithoutExt = filename.substring(0,filename.lastIndexOf("."));

                assetUUID = filenameWithoutExt;
            }
            else
            {
               assetUUID = selectedAsset.getMetadataValue (fadelUUIDProperty);
               if (assetUUID == null) {
                    assetUUID = "Could not read UUID property: " + fadelUUIDProperty;
                } else {
                    assetUUID = assetUUID.toString ();
                }
            }
        } catch(Exception e) {
            log ("Exception occured while getting the UUID property: ", e);
            assetUUID = "Not Found";
        }

        fileNames.add(assetName);
		uuids.add(assetUUID);
        System.out.println(assetUUID); 
    }

%>

<div class="center holder vcentered" >
    <base href="/" />
    <div ng-controller="AppController" ng-show="appLoaded">
        <form class="edit center pane" ng-click="setError(null)" novalidate>
            <div class="line vcentered">
                <div class="cell title"><%= i18n.get("Asset ID(s)") %></div>
                <div class="cell control">
                    <select multiple class="form-control uuids" disabled="disabled">
					<%
						for (i = 0; i < uuids.size(); i++) {

							%><option value="<%=i%>"><%=uuids.get(i)%></option><%
							;
						}

        			%>
                    </select>
                </div>
            </div>
            <div class="line vcentered">
                <div class="cell title"><%= i18n.get("Filename(s)") %></div>
                <div class="cell control">
                    <select multiple class="form-control filename" disabled="disabled" ng-model="formData.filenames">
						<%
						for (i = 0; i < fileNames.size(); i++) {

							%><option value="<%=i%>"><%=fileNames.get(i)%></option><%
							;
						}
	        			%>
                    </select>
                </div>
            </div>
            <div class="line vcentered">
                <div class="cell title"><%= i18n.get("Format") %></div>
                <div class="cell control"><select <%= selectionType %> class="form-control" ng-model="attributes.format" ng-options="item as item.name for item in formatRightAttributes track by item.rightRelationshipId"><option value=''><%= i18n.get(" - Please Choose - ")%></option></select></div>
            </div>
            <div class="line vcentered">
                <div class="cell title"><%= i18n.get("Territory") %></div>
                <div class="cell control"><select <%= selectionType %> class="form-control" ng-model="attributes.territory" ng-options="item as item.name for item in territoryRightAttributes track by item.rightRelationshipId"><option value=''><%= i18n.get(" - Please Choose - ")%></option></select></div>
            </div>
            <div class="line vcentered">
                <div class="cell title"><%= i18n.get("Date") %></div>
                <div class="cell control clearfix">
                    <date-input class="pull-left" get-date="getDates.from" placeholder="From"></date-input>
                    <date-input class="pull-right" get-date="getDates.to" placeholder="To"></date-input>
                </div>
            </div>
            <div class="clearance-container">
                <div ng-repeat="clearance in clearances" class="clearance-wrapper">
                    <div class="line clearance vcentered">
                        <div class="cell title"><%= i18n.get("Clearance Result") %></div>
                        <div class="cell control">
                            <div class="clearance-result vcentered" ng-if="clearance">
                                <div class="picture"><img ng-if="clearance.thumbnail" class="image" ng-src="data:image/png;base64,{{clearance.thumbnail}}"></div>
                                <div class="clearance-result-filename"><div class="name truncate">{{clearance.fileName}}</div></div>
                                <div class="clearance-result-return"><hover clearance="clearance" enabled="clearance.typeName != 'COULD NOT GET DATA'" click="getExceptionsDetails"><div class="text-center indicator" ng-class="{'no-data': clearance.typeName == 'COULD NOT GET DATA', available : clearance.typeName == 'AVAILABLE', exceptions : clearance.typeName == 'AVAILABLE WITH EXCEPTIONS', 'not-available' : clearance.typeName == 'NOT AVAILABLE'}">{{clearance.typeName}}</div></hover></div>
                            </div>
                        </div>
                    </div>
                    <div class="line answers" ng-if="clearance.exceptionsDetails">
                        <div class="heading text-center">
                            <div class="text">AVAILABILITY</div>
                            <button ng-click="closeExceptionsDetails(clearance)" type="button" class="close"><span>&times;</span></button>
                        </div>
                        <div class="holder">
                            <table class="table table-bordered">
                                <thead>
                                <tr>
                                    <th></th>
                                    <th ng-repeat="format in clearance.exceptionsDetails.formats">{{format}}</th>
                                </tr>
                                </thead>
                                <tbody>
                                <tr ng-repeat="territory in clearance.exceptionsDetails.territories">
                                    <th>{{territory}}</th>
                                    <td ng-repeat="available in clearance.exceptionsDetails.availability[$index] track by $index" class="text-center cell" ng-class="{available : available, 'not-available' : !available}">{{available ? 'Avail.' : 'N/A'}}</td>
                                </tr>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
            <div class="line submit clearfix">
                <div class="logo pull-left"><img src="/etc/designs/fadel/fadel_logo_final_rgb_no_tag.png" alt=""></div>
                <input class="btn btn-default pull-right" type="button" value="Close" data-dismiss="modal" ng-click="closeModal()" handle="closeButton">
                <input class="btn btn-info pull-right" type="submit" value="Get Clearance" ng-click="getClearance(formData)">
                <div class="error pull-right" ng-show="formFillError"><%= i18n.get("Please, fill all fields") %></div>
                <div class="error pull-right" ng-show="datesError"><%= i18n.get("Please, verify your dates") %></div>
            </div>
        </form>
    </div>
    <div ng-controller="AppController" ng-show="authError">
        <div class="coral-Alert coral-Alert--error text-left">
            <i class="coral-Alert-typeIcon coral-Icon coral-Icon--sizeS coral-Icon--alert"></i>
            <div class="coral-Alert-message">{{authErrorMsg}}</div>
        </div>
    </div>
</div>
