
    function ConvertToDataTable(objArray) {
            var array = typeof objArray != 'object' ? JSON.parse(objArray) : objArray;
            var str = '';


			var dataset = [];

            for (var i = 0; i < array.length; i++) {

				var obj = array[i];
                var arr = Object.keys(obj).map(function (key) {return obj[key]});
				dataset[i]=arr;

            }

            return dataset;
        }

	function getParam(param) {
        var vars = {};
        window.location.href.replace( location.hash, '' ).replace( 
            /[?&]+([^=&]+)=?([^&]*)?/gi, // regexp
            function( m, key, value ) { // callback
                vars[key] = value !== undefined ? value : '';
            }
        );

        if ( param ) {
            return vars[param] ? vars[param] : null;	
        }
        return vars;
	}	

	function ExportExtIDAssets(paths) {

        var url = "/bin/exportExtID";
        if (paths.length > 0)
            url = addParameter(url, "path", paths);
           $.get(url, function(data) {
               var datatable = ConvertToDataTable(data.result);
               filltable(datatable);
      })
    }

    function addParameter(url, name, value) {
        if (value && value instanceof Array) {
            for (var i = 0; i < value.length; i++) {
                url = addParameter(url, name, value[i]);
            }
            return url;
        }
        var separator = url.indexOf("?") == -1 ? "?" : "&";
        var hashIdx = url.indexOf("#");
        if (hashIdx < 0) {
            return url + separator + encodeURIComponent(name) + "=" + encodeURIComponent(value);
        } else {
            var hash = url.substring(hashIdx);
            url = url.substring(0, hashIdx);
            return url + separator + encodeURIComponent(name) + "=" + encodeURIComponent(value) + hash;
        }
    }


	function filltable(dataset)
	{

      		$('#externalid').DataTable( {
            data: dataset,
            dom: 'Bfrtip',
            buttons: [
                'copyHtml5',
                'excelHtml5',
                'csvHtml5',
                'pdfHtml5'
            ],
            columns: [
                { title: "File Name" },
                { title: "External ID" },
                { title: "Path" }

            ]
        } );	
    }


	$( document ).ready(function() {

        var path = getParam("path");

        if( path ) 

        {
            $('#externalid').show();

			ExportExtIDAssets(decodeURIComponent(path));
        }
        else
        {

			$('#externalid').hide();
        }

	});





